FROM jenkins/jnlp-agent-docker
MAINTAINER Richard Morgan

ENV BUILD_PACKAGES \
  py-pip \
  python-dev \
  libffi-dev \
  openssl-dev \
  gcc \
  libc-dev \
  make

user root

RUN apk update && apk upgrade \
  && apk add --no-cache ${BUILD_PACKAGES};

#RUN curl -L "https://github.com/docker/compose/releases/download/1.25.4/docker-compose-c-$(uname -m)"\
#  -o /usr/local/bin/docker-compose \
#  && chmod +x /usr/local/bin/docker-compose

RUN curl -L --fail https://github.com/docker/compose/releases/download/1.25.4/run.sh -o /usr/local/bin/docker-compose \
  && chmod +x /usr/local/bin/docker-compose

user jenkins
